/* Navbar */
/*
a{
  text-decoration: none;
  list-style: none;
  color: #000000;
}

.container1 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 5rem;
  background-color: #5d6989;
  max-width: 100vw;
  margin: 0 auto;
  border-bottom: 3px solid #f1cd30;
  height: 106px;
}

.logo img{
  width: 100px;
  height: 100px;
  cursor: pointer;
}

.navigation ul {
  display: flex;
  text-align: center;
}

.navigation ul li {
  padding: 10px 15px;
  color: #000000;
  font-weight: bolder;
  list-style: none;
  text-transform: uppercase;
  position: relative;
  cursor: pointer;
  transition: color 0.7s ease;
  transition: border-bottom 0.9s ease;
  border-bottom: solid 2px transparent;
}

.navigation ul li::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #f1cd30;
  transition: width 0.7s ease;
}

.navigation ul li:hover::after {
  width: 100%;
}

.login a {
  text-transform: uppercase;
  font-size: 14px;
  font-weight: bold;
  display: inline-block;
  border-radius: 5px;
  padding: 10px 15px;
  background-color: #f1cd30;
  color: #000000;
  border: none;
  cursor: pointer;
  transition: background-color 0.5s ease;
}

.login a:hover {
  color: #333;
  background-color: #d3b52f;
}*/





/* Página Home */

section.hero {
  background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.5)),
    url(../img/backgrounder.jpg);
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
  background-color: #1b1119;
  font-weight: bold;
  height: calc(100vh - (106px));
}

.hero-container {
  position: relative;
  height: 100%;
  display: flex;
  justify-content: center;
  padding: 40px 4%;
  align-items: center;
  text-transform: uppercase;
  margin: 0 auto;
  overflow: hidden;
  border-bottom: 3px solid #000000;
}
.text-left {
  text-align: center;
}

.text-left h1 {
  color: #f1cd30;
  font-weight: bold;
  font-size: 48px;
  display: flex;
  align-items: center;
 
  width: 750px;
  text-decoration: underline;
}

.btn-act {
  display: inline-block;
  padding: 10px;
  text-decoration: none;
  color: #f1cd30;
  border-radius: 20px;
  margin: 20px;
  justify-content: center;
  text-align: center;
  border: solid 2px #ffffff;
  transition: background-color 0.5s ease;
}

.btn-act:hover {
  background-color: #f1cd30;
  color: #000000;
}

.polygon {
  top: 0;
  bottom: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(241,205,48,0.7);
  clip-path: polygon(0% 25%, 50% 0%, 70% 100%, 30% 100%);
  z-index: 1;
}
.img-right{
 
}
.img-right img {
  /* Adjusted using clamp */
  /*width: 40vw; /* Ensure responsiveness */
  width: clamp(350px, 40vw, 700px);
  object-fit: contain;
  padding: 0 10px;
  position: relative;
  border-radius: 50% 50% 0% 5%;
  z-index: 2; 
  filter: drop-shadow(0 -6mm 4mm rgba(241,205,48,0.7));
}




/* Página Sobre */

.sobre {
  display: flex;
  border-bottom: 3px solid #000000;
  max-width: 100vw;
  min-height: 100vh;
  margin: 0 auto;
}

.img-sobre {
  width: 100%;
  min-height: 100%;
  background-image: url(../img/img-left.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.container-sobre {
  width: 100vw;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-color: rgba(241, 205, 48, 0.9);
}

h2 {
  margin: 20px 0;
  font-size: 50px;
  text-transform: uppercase;
}

.text-sobre p {
  font-size: 24px;
  display: flex;
  text-align: center;
  padding: 0 2%;
  margin: 20px;
  line-height: 170%;
  text-align: justify;
}


/* Página Blog */

.flip-front .img-card img {
  transition: transform 0.6s ease;
}

.flip-front .img-card:hover img {
  transform: rotate(360deg);
}


.title-blog {
  color: #f1cd30;
  font-size: 48px;
  text-transform: uppercase;
  padding-bottom: 100px;
}

.container-blog {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  gap: 60px;
  text-decoration: dashed;
}

.card, .flip-card-front {
  background-color: #f1cd30;
  width: 350px;
  border-radius: 25px;
  
}


.card{
  width: 350px;
  height: 430px;
}  




.flip-horizontal-right:hover .flip-card-inner{
  transform: rotateY(180deg);
}

.flip-horizontal-right .flip-card-back{
  transform: rotateY(180deg);
}


.flip-horizontal-left:hover .flip-card-inner {
  transform: rotateY(-180deg);
}

.flip-horizontal-left .flip-card-back {
  transform: rotateY(-180deg);
}


.flip-vertical-up:hover .flip-card-inner {
  transform: rotateX(180deg);
}

.flip-vertical-up .flip-card-back {
  transform: rotateX(180deg);
}


.flip-vertical-down:hover .flip-card-inner {
  transform: rotateX(-180deg);
}

.flip-vertical-down .flip-card-back {
  transform: rotateX(-180deg);
}


.flip-card {
  background-color: transparent;
  width: 350px;
  height: 430px;
  perspective: 1000px; 
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 1s;
  transform-style: preserve-3d;
}


.flip-card-front, 
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
}

.flip-card-back{
  background-color: #f1cd30;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 25px;
  flex-direction: column;
  
}
.text-card i {
  font-size: 20px;
  color: black;
}

.flip-card-back p {
  font-size: 20px;
  font-weight: 600;
  padding: 30px 20px 10px;
}

.flip-card-back i {
  color: #000000;
  font-size: 40px;
  padding-bottom: 10px;
}

.blog {
  text-align: center;
  background-color: #000000;
  min-height: 100vh;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  padding: 100px;
}



.img-card img {
  width: 100%;
  height: 200px;
  border-radius: 25px;
  background-color: #000000;
  object-fit: cover;
}



.text-card h4 {
  border-bottom: solid 3px #000000;
  padding: 10px;
  font-size: 20px;
  font-weight: bold;
}

.text-card p {
  font-size: 18px;
  margin: 15px;
  text-transform: capitalize;
  text-align: left;
  line-height: 120%;
}

.more {
  font-size: 16px;
  font-weight: bold;
  display: inline-block;
  color:#800080;
  margin-bottom: 15px;
  border: none;
  cursor: pointer;
}
/* Página Contato */



.container-contato {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  background-color: #f1cd30;
  border-bottom: 3px solid #000000;
  padding-bottom: 20px;
}

.container-contato2 {
  display: flex;
  margin-top: 80px;
  align-items: center;
  gap: 100px;
}

.text-contato h2 {
  font-size: 48px;
  text-transform: uppercase;
  padding: 20px;
  text-align: center;
}

.text-contato p {
  font-size: 22px;
}

.container-form {
  width: 322px;
  padding: 20px;
  border: 2px solid #ffffff;
  border-radius: 5px;
  background-color: #000000;
  justify-content: center;
  display: flex;
}

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.container h2 {
  text-align: center;
  margin-bottom: 20px;
}

.input-group label {
  display: block;
  margin-bottom: 5px;
}

.input-group input,
.input-group textarea {
  width: 200px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.input-group {
  justify-content: center;
  align-items: center;
  text-align: center;
  display: block;
  margin-bottom: 20px;
}

label {
  color: #f1cd30;
  font-weight: bold;
}

.input-group textarea {
  height: 50px;
}

button {
  padding: 10px 15px;
  background-color: #f1cd30;
  color: #000000;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
}

.map {
  border: 2px solid #000000;
}





/* Responsive */

@media only screen and (max-width: 1200px) {
  .hero .hero-container {
    display: flex;  
    flex-direction: column;
    justify-content: end;
  }
  
  .polygon {
    display: none;
  }

  .text-left {
    justify-content: center;
    align-items: center;
    height: 240px;
   
    
  }

  .text-left h1 {
    font-size: 40px;
    color: #f1cd30;
    font-weight: bold;
    text-decoration: underline;
    margin: 50px 0 5px;
    width: 650px;
  }

  .btn-act {
    text-decoration: none;
    color: #f1cd30;
    border-radius: 20px;
    justify-content: center;
    text-align: center;
    border: solid 2px #ffffff;
    z-index: 1000;
    transition: background-color 0.5s ease;
  }

  .img-right img { 
    width: 360px;
    min-height: 100%;
    z-index: 0;
  }

  .hero-container {
    position: relative;
    height: 100%;
    display: flex;
    padding: 0;
    margin: 0;
  }

  .img-right img { 
    width: 300px;
    min-height: 100%;
    z-index: 2;
  }
}

@media only screen and (max-width: 750px) {
  .img-right img { 
    width: 300px;
    min-height: 100%;
    z-index: 2;
  }

  .img-sobre {
    display: none;
  }

  .contato .container-contato .container-contato2 {
    flex-direction: column;  
    text-align: center;
  }

  .text-contato {
    font-size: 25px;
    text-align: center;
  }

  .container-contato2 {  
    gap: 25px;
  }

  .card {
    display: flex;
    flex-direction: column;
  }

  .container-blog {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 60px;
    text-decoration: dashed;
  }

  section.blog {
    padding: 65px 2%;
  }

  .blog {
    text-align: center;
    background-color: #000000;
    min-height: 100vh;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
  }

  .img-card img {
    width: 100%;
    height: 200px;
    border-radius: 25px;
    background-color: #000000;
    object-fit: cover;
  }

  .text-card h4 {
    border-bottom: solid 3px #000000;
    padding: 10px;
    font-size: 20px;
    font-weight: bold;
  }

  .text-card p {
    font-size: 18px;
    margin: 15px;
    text-transform: capitalize;
    text-align: left;
    line-height: 120%;
  }

  .more {
    font-size: 16px;
    font-weight: bold;
    display: inline-block;
    color: #800080;
    margin-bottom: 15px;
    border: none;
    cursor: pointer;
  }

  .container-contato {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    padding: 30px 2%;
    background-color: #f1cd30;
    border-bottom: 3px solid #000000;
  }

  .text-contato { 
    text-align: center;
  }
}

@media only screen and (max-width: 590px) {
  .hero .hero-container .text-left h1 {
    font-size: 32px;
    max-width: 400px;
    text-align: center;
   height: 120px;
   
  }
}







